*基本分析模型, countryid等于29代表中国，typeid等于2代表加权平均税率类型，typeid等于3代表不利可得事实税率类型
set more off
use "data1.dta",clear
label define a 2 "加权平均税率类型" 3 "不利可得事实税率类型"
label value typeid a

reg rate i.typeid i.countryid dura i.ini_year i.productid,vce(cluster countryid)
est store m1
reg rate i.typeid i.countryid dura i.ini_year i.productid if ini_year<2002,vce(cluster countryid)
est store m2
reg rate i.typeid i.countryid dura i.ini_year i.productid if ini_year>2001,vce(cluster countryid)
est store m3

outreg2 [m1 m2 m3] using "/Users/zoe/Desktop/基本回归结果.doc", word replace dec(3)

*generate beta for countries
*非市场经济地位的影响
use "data1.dta",clear

reg rate i.typeid i.countryid dura i.productid i.ini_year,vce(cluster countryid)
mat beta=e(b)
mat b=beta'
mat b=b[5..45,1]
svmat b, name(b_all)

reg rate i.typeid i.countryid dura i.productid i.ini_year if ini_year<2002,vce(cluster countryid)
mat beta=e(b) 
mat b=beta'
mat b=b[5..37,1]
svmat b, name(b_1980)

reg rate i.typeid i.countryid dura i.productid i.ini_year if ini_year>2001,vce(cluster countryid)
mat beta=e(b) 
mat b=beta'
mat b=b[5..27,1]
svmat b, name(b_2002)

*regression beta on nme
reg b_all nme_all,r
est store m1
reg b_1980 nme_1980,r
est store m2
reg b_2002 nme_2002,r
est store m3
outreg2 [m1 m2 m3] using "/Users/zoe/Desktop/基本回归非市场经济地位影响.doc", word replace dec(3)



*surrogate country
*替代国选择分析
use "data1.dta",clear
reg rate i.typeid dura nme i.ini_year i.productid if ini_year>2001, vce(cluster countryid)
est store m1
reg rate i.typeid dura smallsur bigsur i.ini_year i.productid if ini_year>2001, vce(cluster countryid)
est store m2
outreg2 [m1 m2] using "/Users/zoe/Desktop/替代国选择的结果.doc", word replace dec(3) nodepvar


*more discrimination
*中国企业应诉不力时更高的反倾销税率
use "data1.dta",clear
g AC=AFA*china
g ac=average*china

reg rate i.typeid ac AC i.countryid dura i.ini_year i.productid , vce(cluster countryid)
est store m1
reg rate i.typeid ac AC i.countryid dura i.ini_year i.productid if ini_year<2002,vce(cluster countryid)
est store m2
reg rate i.typeid ac AC i.countryid dura i.ini_year i.productid if ini_year>2001,vce(cluster countryid)
est store m3
outreg2 [m1 m2 m3] using "/Users/zoe/Desktop/中国企业应诉不力时更高的反倾销税率的结果.doc", word replace dec(3) nodepvar



**external effect of cooperation of firm
*企业应诉的外部性作用
use "data2.dta",clear

reg rate dum_cowork nme dura i.ini_year i.hsid if type=="average", vce(cluster countryid)
est store m1
reg rate corate nme dura i.ini_year i.hsid if type=="average", vce(cluster countryid)
est store m2
reg rate dum_cowork nme dura i.ini_year i.hsid if type=="AFA", vce(cluster countryid)
est store m3
reg rate corate nme dura i.ini_year i.hsid if type=="AFA", vce(cluster countryid)
est store m4
outreg2 [m1 m2 m3 m4] using "/Users/zoe/Desktop/企业应诉的外部性作用.doc", word replace dec(3) nodepvar


**稳健性检验
*否定性裁决税率设置为0，countryid等于2代表中国，typeid等于2代表加权平均税率类型，typeid等于3代表不利可得事实税率类型
use "data3.dta",clear

reg rate i.typeid i.countryid i.ini_year i.productid ,vce(cluster countryid)
est store m1
mat beta=e(b) 
mat b=beta'
mat b=b[5..60,1]
svmat b, name(b_all)

reg rate i.typeid i.countryid i.ini_year i.productid if ini_year<2002,vce(cluster countryid)
est store m2
mat beta=e(b) 
mat b=beta'
mat b=b[5..52,1]
svmat b, name(b_1980)

reg rate i.typeid i.countryid i.ini_year i.productid if ini_year>2001,vce(cluster countryid)
est store m3
mat beta=e(b) 
mat b=beta'
mat b=b[5..34,1]
svmat b, name(b_2002)

outreg2 [m1 m2 m3] using "/Users/zoe/Desktop/稳健性检验1.doc", word replace dec(3) nodepvar

*check the nme effect
reg b_all nme_all, robust
est store m1
reg b_1980 nme_1980, robust
est store m2
reg b_2002 nme_2002, robust
est store m3
outreg2 [m1 m2 m3] using "/Users/zoe/Desktop/稳健性检验1的非市场经济地位影响.doc", word replace dec(3) nodepvar


*不同案例集合的分样本回归，countryid等于29代表中国，typeid等于2代表加权平均税率类型，typeid等于3代表不利可得事实税率类型
use "data4.dta",clear
reg rate i.typeid i.countryid dura i.ini_year i.productid if caseid==1 | caseid==2, vce(cluster countryid)
est store m1
mat beta=e(b) 
mat b=beta'
mat b=b[5..45,1]
svmat b, name(b12_all)

reg rate i.typeid i.countryid dura i.ini_year i.productid if ini_year<2002 & (caseid==1 | caseid==2) ,vce(cluster countryid)
est store m2
mat beta=e(b) 
mat b=beta'
mat b=b[5..37,1]
svmat b, name(b12_1980)

reg rate i.typeid i.countryid dura i.ini_year i.productid if ini_year>2001 & (caseid==1 | caseid==2) ,vce(cluster countryid)
est store m3
mat beta=e(b) 
mat b=beta'
mat b=b[5..26,1]
svmat b, name(b12_2002)

reg rate i.typeid i.countryid dura i.ini_year i.productid if caseid==3 | caseid==4, vce(cluster countryid)
est store m4
mat beta=e(b) 
mat b=beta'
mat b=b[5..25,1]
svmat b, name(b34)

outreg2 [m1 m2 m3 m4] using "/Users/zoe/Desktop/稳健性检验2.doc", word replace dec(3) nodepvar

*regression beta on nme
reg b12_all nme12_all, robust
est store m1
reg b12_1980 nme12_1980, robust
est store m2
reg b12_2002 nme12_2002, robust
est store m3
reg b34 nme34, robust
est store m4

outreg2 [m1 m2 m3 m4] using "/Users/zoe/Desktop/稳健性检验2的非市场经济地位影响.doc", word replace dec(3) nodepvar

*a new model specification
*新模型设定
use "data1.dta"，clear
reg rate i.typeid china nme dura i.ini_year i.productid , vce(cluster countryid)
est store m1
reg rate i.typeid china nme dura i.ini_year i.productid if ini_year<2002, vce(cluster countryid)
est store m2
reg rate i.typeid china nme dura i.ini_year i.productid if ini_year>2001, vce(cluster countryid)
est store m3
outreg2 [m1 m2 m3] using "/Users/zoe/Desktop/稳健性检验3.doc", word replace dec(3) nodepvar




